ランタイム: Mix::Sound::IEmitter Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
Mix::Sound::IEmitter Class Referenceabstract

エミッターインターフェース More...

`#include <IEmitter.h>`

Inheritance diagram for Mix::Sound::IEmitter:
[legend]
Collaboration diagram for Mix::Sound::IEmitter:
[legend]

## Public Member Functions

virtual const Mix::Vector3 & | GetLocalFront (void) const =0
| ローカルの前方ベクトルを取得します More...
virtual const Mix::Vector3 & | GetLocalUp (void) const =0
| ローカルの上方ベクトルを取得します More...
virtual const Mix::Vector3 & | GetWorldFront (void) const =0
| ワールドの前方ベクトルを取得します More...
virtual const Mix::Vector3 & | GetWorldUp (void) const =0
| ワールドの上方ベクトルを取得します More...
virtual const Mix::Matrix4x4 & | GetWorldMatrix (void) const =0
| ワールド行列を取得します More...
virtual void | SetWorldMatrix (const Mix::Matrix4x4 &mat)=0
| ワールド行列を設定します More...
virtual const Mix::Vector3 & | GetVelocity (void) const =0
| 毎秒の移動速度を取得します More...
virtual void | SetVelocity (const Mix::Vector3 &velocity)=0
| 毎秒の移動速度を設定します More...
virtual UInt32 | GetChannelCount (void) const =0
| チャンネル数を取得します More...
virtual Float32 | GetChannelRadius (void) const =0
| チャンネルの半径を取得します More...
virtual void | SetChannelRadius (Float32 radius)=0
| チャンネルの半径を設定します More...
virtual Float32 | GetChannelAzimuth (UInt32 channel) const =0
| チャンネルの方位各を取得します More...
virtual void | SetChannelAzimuth (UInt32 channel, Float32 azimuth)=0
| チャンネルの方位各を設定します More...
virtual Float32 | GetDopplerScaler (void) const =0
| ドップラー効果のスケーラーを取得します More...
virtual void | SetDopplerScaler (Float32 scaler)=0
| ドップラー効果のスケーラーを設定します More...
virtual void | Update (void)=0
| 更新します More...
virtual Boolean | IsCloneable (void) const =0
| 複製できるかどうかを取得します More...
virtual Boolean | Clone (Mix::Sound::IEmitter **ppEmitter)=0
| 自身を複製します More...
Public Member Functions inherited from Mix::Sound::IDevice
virtual Boolean | IsPlaying (void)=0
| 再生中どうかを取得します More...
virtual void | Play (Boolean bLoop=False)=0
| 再生します More...
virtual void | Stop (void)=0
| 停止します More...
virtual void | Suspend (void)=0
| 一時停止します More...
virtual void | Resume (void)=0
| 一時停止を解除します More...
virtual Boolean | IsDisposed (void)=0
| 破棄されているかどうかを確認します More...
virtual void | Dispose (void)=0
| 破棄します More...
virtual const wchar_t * | GetFilePath (void) const =0
| ファイルパスを取得します More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Protected Member Functions

virtual | ~IEmitter (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Sound::IDevice
virtual | ~IDevice (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Detailed Description

エミッターインターフェース

## Constructor & Destructor Documentation

virtual Mix::Sound::IEmitter::~IEmitter | ( | void |  | ) |

inlineprotectedvirtual

デストラクタ

## Member Function Documentation

virtual const Mix::Vector3& Mix::Sound::IEmitter::GetLocalFront | ( | void |  | ) | const

pure virtual

ローカルの前方ベクトルを取得します

Returns
  ローカルの前方ベクトルを表す Mix::Vector3 クラスを返します

virtual const Mix::Vector3& Mix::Sound::IEmitter::GetLocalUp | ( | void |  | ) | const

pure virtual

ローカルの上方ベクトルを取得します

Returns
  ローカルの上方ベクトルを表す Mix::Vector3 クラスを返します

virtual const Mix::Vector3& Mix::Sound::IEmitter::GetWorldFront | ( | void |  | ) | const

pure virtual

ワールドの前方ベクトルを取得します

Returns
  ワールドの前方ベクトルを表す Mix::Vector3 クラスを返します

virtual const Mix::Vector3& Mix::Sound::IEmitter::GetWorldUp | ( | void |  | ) | const

pure virtual

ワールドの上方ベクトルを取得します

Returns
  ワールドの上方ベクトルを表す Mix::Vector3 クラスを返します

virtual const Mix::Matrix4x4& Mix::Sound::IEmitter::GetWorldMatrix | ( | void |  | ) | const

pure virtual

ワールド行列を取得します

Returns
  ワールド行列を表す Mix::Matrix4x4 クラスを返します

virtual void Mix::Sound::IEmitter::SetWorldMatrix | ( | const Mix::Matrix4x4 & | mat | ) |

pure virtual

ワールド行列を設定します

Parameters

  [in] | mat | ワールド行列を表す Mix::Matrix4x4 クラス

virtual const Mix::Vector3& Mix::Sound::IEmitter::GetVelocity | ( | void |  | ) | const

pure virtual

毎秒の移動速度を取得します

Returns
  毎秒の移動速度を表す Mix::Vector3 クラスを返します

virtual void Mix::Sound::IEmitter::SetVelocity | ( | const Mix::Vector3 & | velocity | ) |

pure virtual

毎秒の移動速度を設定します

Parameters

  [in] | velocity | 毎秒の移動速度を表す Mix::Vector3 クラス

Note
  ドップラー効果に影響を与えます。

virtual UInt32 Mix::Sound::IEmitter::GetChannelCount | ( | void |  | ) | const

pure virtual

チャンネル数を取得します

Returns
  チャンネル数を返します

virtual Float32 Mix::Sound::IEmitter::GetChannelRadius | ( | void |  | ) | const

pure virtual

チャンネルの半径を取得します

Returns
  チャンネルの半径を返します

virtual void Mix::Sound::IEmitter::SetChannelRadius | ( | Float32 | radius | ) |

pure virtual

チャンネルの半径を設定します

Parameters

  [in] | radius | チャンネルの半径( 0.0f〜正の無限大 )

Note
  ワールド座標からのオフセットを意味します

virtual Float32 Mix::Sound::IEmitter::GetChannelAzimuth | ( | UInt32 | channel | ) | const

pure virtual

チャンネルの方位各を取得します

Parameters

  [in] | channel | チャンネル

Returns
  チャンネルの方位各を返します

virtual void Mix::Sound::IEmitter::SetChannelAzimuth | ( | UInt32 | channel,
|  | Float32 | azimuth
| ) |  |

pure virtual

チャンネルの方位各を設定します

Parameters

  [in] | channel | チャンネル
  [in] | azimuth | 方位各( 0.0f〜MIX_2PI )

Note
  上方ベクトルを軸とした回転を意味します

virtual Float32 Mix::Sound::IEmitter::GetDopplerScaler | ( | void |  | ) | const

pure virtual

ドップラー効果のスケーラーを取得します

Returns
  スケーラーを返します

virtual void Mix::Sound::IEmitter::SetDopplerScaler | ( | Float32 | scaler | ) |

pure virtual

ドップラー効果のスケーラーを設定します

Parameters

  [in] | scaler | スケーラー( 0.0f〜正の無限大 )

virtual void Mix::Sound::IEmitter::Update | ( | void |  | ) |

pure virtual

更新します

Note
  リスナー( Mix::Sound::IListener )のパラメータが変更された場合もこのメソッドを実行する必要があります

virtual Boolean Mix::Sound::IEmitter::IsCloneable | ( | void |  | ) | const

pure virtual

複製できるかどうかを取得します

Returns
  複製できる場合は True を返します

virtual Boolean Mix::Sound::IEmitter::Clone | ( | Mix::Sound::IEmitter ** | ppEmitter | ) |

pure virtual

自身を複製します

Parameters

  [out] | ppEmitter | 複製したエミッターを渡す Mix::Sound::IEmitter インターフェースのポインタのアドレス

The documentation for this class was generated from the following file:

- Mix/Sound/IEmitter.h